Package org.eclipse.ecf.remoteservice.client

## Interface IRemoteCallable

All Known Implementing Classes:
  `RemoteCallable`

    public interface IRemoteCallable

Callables represent a remotely callable method. Clients can register callables (via `IRemoteServiceClientContainerAdapter.registerCallables(String[], IRemoteCallable[][], java.util.Dictionary)` or `IRemoteServiceClientContainerAdapter.registerCallables(IRemoteCallable[], java.util.Dictionary)` and then at runtime when actual remote calls are attempted, the associated callable is looked up in the `RemoteServiceClientRegistry`. If present, the remote call can be completed, if not present in the registry, the call is not completed.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IRemoteCallParameter[]` `getDefaultParameters()` Get default remote call parameters for this remote callable.
`long` `getDefaultTimeout()` Get default timeout for this remote callable.
`String` `getMethod()` Get the method name associated with this remote callable.
`IRemoteCallableRequestType` `getRequestType()` Get request type associated with this remote callable.
`String` `getResourcePath()` Get the resource path associated with this remote callable.

### Method Detail

#### getMethod

    String getMethod()

Get the method name associated with this remote callable.

Returns:
  String method name. Must not be `null`.

#### getResourcePath

    String getResourcePath()

Get the resource path associated with this remote callable.

Returns:
  String the resource path for this remote callable. Must not be `null`.

#### getRequestType

    IRemoteCallableRequestType getRequestType()

Get request type associated with this remote callable.

Returns:
  IRemoteCallableRequestType for this callable. May be `null`.

#### getDefaultParameters

    IRemoteCallParameter[] getDefaultParameters()

Get default remote call parameters for this remote callable.

Returns:
  IRemoteCallParameter[] array of default parameters for this remote callable. May be `null`.

#### getDefaultTimeout

    long getDefaultTimeout()

Get default timeout for this remote callable.

Returns:
  long default timeout value.